/* rexx */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

parse arg BaseDir

/* Find msg files */
say 'Scanning for message files...'
call SysFileTree BaseDir || '\*.MSG', 'file', 'FSO'
say 'Found ' || file.0 || ' message files.'

if file.0 > 0 then do
  do i=1 to file.0
    say file.i
    '@bogofilter -l -n < ' file.i
  end
end
